datablock ShapeBaseImageData(mmPLFistsImage)
{
   // Basic Item properties
   shapeFile = "base/data/shapes/empty.dts";
   emap = true;

   // Specify mount point & offset for 3rd person, and eye offset
   // for first person rendering.
   mountPoint = 0;
   offset = "-0.093 0 -0.02"; //X Z Y


   // When firing from a point offset from the eye, muzzle correction
   // will adjust the muzzle vector to point to the eye LOS point.
   // Since this weapon doesn't actually fire from the muzzle point,
   // we need to turn this off.  
   correctMuzzleVector = false;

   eyeOffset = "0.43 1 -0.6";

   // Add the WeaponImage namespace as a parent, WeaponImage namespace
   // provides some hooks into the inventory system.
   className = "WeaponImage";

   // Projectile && Ammo.
//   item = mmFistsItem;
   ammo = " ";
   projectile = FistsFastProjectile;
   projectileType = Projectile;

   //melee particles shoot from eye node for consistancy
   melee = true;
   doRetraction = false;
   //raise your arm up or not
   armReady = false;

   //casing = " ";
 //  doColorShift = true;
 //  colorShiftColor = "1 0.878 0.612 1.000";
   
	stateName[0]                     = "Activate";
    stateSound[0]                    = weaponSwitchSound;
	stateSequence[0]                     = "Ready1_1";
	stateTimeoutValue[0]             = 0.65;
	stateTransitionOnTimeout[0]      = "Ready1_1";

	stateName[1]                     = "Ready1_1";
	stateTransitionOnTriggerDown[1]  = "Fire1_1Pre";
	stateScript[1]					= "onReady";
	stateAllowImageChange[1]         = true;

	stateName[2]                    = "Fire1_1Pre";
	stateTimeoutValue[2]            = 0.25;
	stateTransitionOnTimeout[2]     = "Fire2_1Pre";
	stateWaitForTimeout[2]		= false;
	stateTransitionOnTriggerUp[2]  = "Fire1_1";
	stateAllowImageChange[2]        = false;

	stateName[3]                    = "Fire1_1";
	stateTransitionOnTimeout[3]     = "Ready1_2";
	stateTimeoutValue[3]            = 0.15;
	stateFire[3]                    = true;
	stateAllowImageChange[3]        = false;
	stateScript[3]                  = "onFire1Fast";
	stateSound[3]                    = WooshFastestSound;
	stateWaitForTimeout[3]		= true;

	stateName[4]                     = "Ready1_2";
	stateTransitionOnTriggerDown[4]  = "Fire1_2Pre";
	stateScript[4]					= "onReady";
	stateAllowImageChange[4]         = true;

	stateName[5]                    = "Fire1_2Pre";
	stateTimeoutValue[5]            = 0.25;
	stateTransitionOnTimeout[5]     = "Fire2_2Pre";
	stateWaitForTimeout[5]		= false;
	stateTransitionOnTriggerUp[5]  = "Fire1_2";
	stateAllowImageChange[5]        = false;

	stateName[6]                    = "Fire1_2";
	stateTransitionOnTimeout[6]     = "Ready1_1";
	stateTimeoutValue[6]            = 0.15;
	stateFire[6]                    = true;
	stateAllowImageChange[6]        = false;
	stateScript[6]                  = "onFire2Fast";
	stateSound[6]                    = WooshFastestSound;
	stateWaitForTimeout[6]		= true;

//Both Hooks.

	stateName[7]                     = "Ready2_1";
	stateTransitionOnTriggerDown[7]  = "Fire2_1Pre";
	stateAllowImageChange[7]         = true;

	stateName[8]                    = "Fire2_1Pre";
	stateTimeoutValue[8]            = 0.5;
	stateTransitionOnTimeout[8]     = "Power_Pre";
	stateWaitForTimeout[8]		= false;
	stateTransitionOnTriggerUp[8]  = "Fire2_1";
	stateScript[8]                  = "onMedium1Charged";
	stateAllowImageChange[8]        = false;

	stateName[9]                    = "Fire2_1";
	stateTransitionOnTimeout[9]     = "Ready1_2";
	stateTimeoutValue[9]            = 0.3;
	stateFire[9]                    = true;
	stateAllowImageChange[9]        = false;
	stateScript[9]                  = "onFire1Medium";
	stateWaitForTimeout[9]		= true;

	stateName[10]                     = "Ready2_2";
	stateTransitionOnTriggerDown[10]  = "Fire2_2Pre";
	stateAllowImageChange[10]         = true;

	stateName[11]                    = "Fire2_2Pre";
	stateTimeoutValue[11]            = 0.5;
	stateTransitionOnTimeout[11]     = "Power_Pre";
	stateWaitForTimeout[11]		= false;
	stateTransitionOnTriggerUp[11]  = "Fire2_2";
	stateScript[11]                  = "onMedium2Charged";
	stateAllowImageChange[11]        = false;

	stateName[12]                    = "Fire2_2";
	stateTransitionOnTimeout[12]     = "Ready1_1";
	stateTimeoutValue[12]            = 0.3;
	stateFire[12]                    = true;
	stateAllowImageChange[12]        = false;
	stateScript[12]                  = "onFire2Medium";
	stateWaitForTimeout[12]		= true;

//The Power Strike

	stateName[15]                    = "Power_Pre";
	stateWaitForTimeout[15]		= false;
	stateScript[15]                  = "onPowerCharged";
	stateTransitionOnTriggerUp[15]  = "Power_Fire";
	stateAllowImageChange[15]        = false;

	stateName[16]                    = "Power_Fire";
	stateTransitionOnTimeout[16]     = "Power_Hit";
	stateTimeoutValue[16]            = 0.15;
	stateAllowImageChange[16]        = false;
	stateWaitForTimeout[16]		= true;

	stateName[17]                    = "Power_Hit";
	stateTransitionOnTimeout[17]     = "Ready1_1";
	stateTimeoutValue[17]            = 0.35;
	stateFire[17]                    = true;
	stateAllowImageChange[17]        = false;
	stateScript[17]                  = "onFireStrong";
	stateWaitForTimeout[17]		= true;
};
function mmPLFistsImage::onMount(%this, %obj, %slot)
{	
		%obj.playThread(0, fReady);
}
function mmPLFistsImage::onUnMount(%this, %obj, %slot)
{	
		%obj.playThread(0, root);
}
function mmPLFistsImage::onReady(%this, %obj, %slot)
{	
		%obj.playThread(0, fReady);
}
function mmPLFistsImage::onFire1Fast(%this, %obj, %slot)
{
	%obj.playThread(0, fpRight);
	mmFistsImage::onFireFast(%this, %obj, %slot);
}
function mmPLFistsImage::onFire2Fast(%this, %obj, %slot)
{
	%obj.playThread(0, fpLeft);
	mmFistsImage::onFireFast(%this, %obj, %slot);
}
function mmPLFistsImage::onMedium1Charged(%this, %obj, %slot)
{	
	%obj.playThread(0, fhrRight);
	mmFistsImage::onCharged(%this, %obj, %slot);
}
function mmPLFistsImage::onMedium2Charged(%this, %obj, %slot)
{	
	%obj.playThread(0, fhrLeft);
	mmFistsImage::onCharged(%this, %obj, %slot);
}
function mmPLFistsImage::onFire1Medium(%this, %obj, %slot)
{
	%obj.playThread(0, fhpRight);
	mmFistsImage::onFireMedium(%this, %obj, %slot);
}

function mmPLFistsImage::onFire2Medium(%this, %obj, %slot)
{
	%obj.playThread(0, fhpLeft);
	mmFistsImage::onFireMedium(%this, %obj, %slot);
}

function mmPLFistsImage::onPowerCharged(%this, %obj, %slot)
{	
	%obj.playThread(0, fsReady);
	mmFistsImage::onCharged(%this, %obj, %slot);
}

function mmPLFistsImage::onFireStrong(%this, %obj, %slot)
{
	%obj.playThread(0, fsPunch);
	mmFistsImage::onFireStrong(%this, %obj, %slot);
}

